Subject: Re: linux-next: build failure after merge of the nand tree

From: Miquel Raynal <[email-masked]>
Date: Tue, 04 Mar 2025 11:57:45 +0100

Hello Stephen,

Thanks for the report.

> After merging the nand tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
>
> In file included from drivers/mtd/nand/spi/macronix.c:11:
> drivers/mtd/nand/spi/macronix.c:190:63: error: expected expression before ',' token
>   190 |                      SPINAND_CONT_READ(macronix_set_cont_read),
>       |                                                               ^

I fixed the commit and pushed -f to fix the build failure.

The fix I made is not super nice so I will send a follow-up patch to
improve the style as the mistake comes from another unrelated patch.

Thanks,
Miquèl